/* -------------------------------------------------------------------
   File "Jacobian_Lib.pro"

   Definition of a jacobian method
   -------------------------------------------------------------------

   I N P U T
   ---------

   GlobalGroup :
   -----------
   DomainInf                Regions with Spherical Shell Transformation

   Parameters :
   ----------
   Val_Rint, Val_Rext       Inner and outer radius of the Spherical Shell
                            of DomainInf
*/

Group {
  DefineGroup[ DomainInf ] ;
  DefineVariable[ Val_Rint, Val_Rext ] ;
}

Jacobian {
  { Name Vol ;
    Case { 
    	{ Region DomainInf; Jacobian VolAxiSquSphShell {Val_Rint, Val_Rext} ; }
        { Region All ; Jacobian VolAxiSqu ; }
    }
  }
  { Name Vol2D ;
    Case { 
        { Region All ; Jacobian Vol ; }
    }
  }  
}

// Use VolAxiSqu instead of VolAxi with rotation symmetry improves solution nea
// symmetry axis, see:
//
//		http://www.geuz.org/pipermail/getdp/2004/000581.html
//

