/* -------------------------------------------------------------------
   File "movmagdyn.geo"

   This file is the geometrical description used by GMSH to produce
   the file "movmagdyn.msh".
   ------------------------------------------------------------------- */

c = 2e-3;
n = 2;

mdo = 50e-3;
mdi = 30e-3;
mh = 10e-3;
ri = 50e-3;
ro = 70e-3;

Point(1) = { 0, 0, 0, c };

Point(10) = { mdo/2,  mh/2, 0, c/n };
Point(11) = { mdi/2,  mh/2, 0, c/n };
Point(12) = { mdi/2, -mh/2, 0, c/n };
Point(13) = { mdo/2, -mh/2, 0, c/n };

Point (100) = { ri, 0, 0, c*n };
Point (101) = { 0, ri, 0, c*n };
Point (102) = { 0, -ri, 0, c*n };

Point (110) = { ro, 0, 0, c*n*2 };
Point (111) = { 0, ro, 0, c*n*2 };
Point (112) = { 0, -ro, 0, c*n*2 };

// Lines
Line(1) = {10, 11};
Line(2) = {11, 12};
Line(3) = {12, 13};
Line(4) = {13, 10};
Line(5) = {111, 101};
Line(6) = {101, 1};
Line(7) = {1, 102};
Line(8) = {102, 112};
Circle(9) = {100, 1, 101};
Circle(10) = {102, 1, 100};
Circle(11) = {110, 1, 111};
Circle(12) = {112, 1, 110};

// Surfaces
Line Loop(13) = {1, 2, 3, 4};
Plane Surface(14) = {13};
Line Loop(15) = {9, 6, 7, 10};
Plane Surface(16) = {13, 15};
Line Loop(17) = {11, 5, -9, -10, 8, 12};
Plane Surface(18) = {17};



Physical Surface(100) = { 14 };  // Magnet
Physical Surface(200) = { 16 };  // Air 
Physical Surface(210) = { 18 };  // AirInf

Physical Line(1100) = { 5, 6, 7, 8 }; // Axis, SurfaceGh0
Physical Line(1102) = { 11, 12 };        // SurfaceGInf 

/**/




